Content

A Ruby 2.3 támogatás vége

Ez egy értesítés az Easy Project Server változatot kezelő szerver adminisztrátorok számára. 2020. április 30-án visszavonjuk a Ruby 2.3.x támogatását, mivel ez a verzió egyre elavultabbá válik az Easy Project által használt, harmadik fél által gyártott komponensekhez képest.

A Ruby 2.3 támogatás vége

Javasoljuk a Ruby frissítését a 2.6.5 verzióra

A Ruby az Easy Project futtatásának előfeltétele. Ez egy jól karbantartott és folyamatosan frissített programozási nyelv. Ez azt jelenti, hogy az Easy Project új verzióinak használatához időről időre frissítenie kell a Ruby-t. A Ruby frissítése következményekkel jár, ezért ellátjuk Önt néhány iránymutatással, melyek emlékeztetik a konfigurációban végrehajtandó, vonatkozó módosításokra.

A leggyakoribb probléma az, hogy a szerver (unicorn) nem indul el a Ruby frissítése után. Ez az útmutatás példákat tartalmaz az Easy Software által biztosított virtuális gépekkel - mindig ellenőrizze a lépéseket, mielőtt a saját szerveren hajtja végre azokat.

0/ Készítsen biztonsági másolatot

1/ Frissítse a ruby (rvm használatával)
sudo rvm get head
sudo rvm install ruby-2.6.5-railsexpress
rvm use --default ruby-2.6.5-railsexpress

Győződjön meg arról, hogy kompatibilis verziót használ, olvassa el rendszerkövetelményeinket.

2/ Telepítse a bundler-t, unicorn-t és puma-t
gem install bundler unicorn puma

3/ Lépjen az alkalmazás root könyvtárba, és telepítse a gems-t
cd APPLICATION_ROOT
bundle update

4/ Telepítse az Easy Projectet
rake easyproject:install RAILS_ENV=production

5/ Előfordulhat, hogy egy rendszerindítási scriptben meg kell változtatnia a ruby verzióját. Az alábbiak szerepeljenek a path-ok között (a virtuális gép, az operációs rendszer stb. verziójától függően):

/etc/systemd/system/puma@.service
/etc/systemd/system/unicorn@.service
/etc/systemd/system/easy.service
/lib/systemd/system/unicorn.service

Példa:

...
[Service]
Type=simple
User=easy
WorkingDirectory=/srv/easyproject/public_html
Environment=RAILS_ENV=production
PIDFile=/srv/easyproject/run/unicorn.pid
ExecStart=/bin/bash -lc 'rvm 2.6.5 do unicorn -D -c /etc/unicorn/easyproject.rb -E production'
...

Cserélje ki a ruby verziót vagy használja az "alapértelmezett" verziót, mentse el és indítsa újra a szolgáltatást.

Ha ez továbbra sem működik, Ez az e-mail cím a spamrobotok elleni védelem alatt áll. Megtekintéséhez engedélyeznie kell a JavaScript használatát., és küldje el nekünk az stderr.log (unicorn hibanapló) és a production.log fájlt.

A Ruby 2.7 még nem támogatott, de a hibakeresés utolsó szakaszában van. A Ruby 2.7 hivatalos támogatásáról weboldalunkon teszik közzé. A Karbantartás Ruby a kiszolgáló rendszergazdáinak általános felelőssége, ezért kérjük, rendszeresen ellenőrizze a https://www.ruby-lang.org/en weboldalon a frissítéseket és a biztonsági frissítéseket.

Additional information

Próbálja ki az Easy Project szoftvert ingyenesen

Minden funkció elérhető | SSL tanúsítvány | Napi mentések

vagy

nincs szükség hitelkártyára vagy telepítésre